<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

class AlterQtyColumnsOnSubstocktransactionsTable extends Migration
{
    public function up(): void
    {
        DB::statement("
            ALTER TABLE substocktransactions
            MODIFY actual_qty DOUBLE,
            MODIFY system_qty DOUBLE
        ");
    }

    public function down(): void
    {
        DB::statement("
            ALTER TABLE substocktransactions
            MODIFY actual_qty BIGINT(20) UNSIGNED,
            MODIFY system_qty BIGINT(20) UNSIGNED
        ");
    }
}
